create database if not exists `hospitality` character set utf8 collate utf8_unicode_ci;

drop procedure if exists `hospitality`.`make_pbillx_user`;

delimiter //
create procedure `hospitality`.`make_pbillx_user`()
begin
	select count(1) into @exists from `mysql`.`user` where `User` = 'pbillx' and `Host` = 'localhost';
	if not @exists then
		create user pbillx@localhost identified by 'pbillx';
	end if;
end//

delimiter ;

call `hospitality`.`make_pbillx_user`();
drop procedure `hospitality`.`make_pbillx_user`;

grant all on hospitality.* to ombutel@localhost;
grant all on hospitality.* to pbillx@localhost;
grant all on asterisk.cdr to pbillx@localhost;
flush privileges;
